// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"
#include "assert/assert.hpp"

namespace Dawn {
  class DawnGame;

  class IAudioManager {
    public:
      DawnGame *game;

      IAudioManager(DawnGame *game) {
        assertNotNull(game);
        this->game = game;
      }

      virtual void init() = 0;
      virtual void update() = 0;
  };
}